body {
  cursor:
    url("assets/cursors/point.png") 0 0,
    auto;
}

body.dragging,
body.dragging * {
  cursor:
    url("assets/cursors/drag.png") 11 11,
    grabbing !important;
}

.scene {
  width: 100vw;
  height: 100vh;
  position: relative;
  display: flex;
}

.view {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: none;
}

#monitor,
#computer {
  overflow: hidden;
}

.active {
  display: block !important;
}

.hidden {
  display: none !important;
}

.image-wrap {
  position: relative;
  height: 100vh;
  display: flex;
  align-items: flex-end;
  justify-content: center;
}

#setup .image-wrap,
#screen .image-wrap {
  width: fit-content;
  margin: 0 auto;
}

#setup img:not(#help-setup) {
  height: 100vh;
  width: auto;
}

#setup-img {
  display: block;
}

#setup-on-img {
  position: absolute;
  top: 0;
  left: 0;
  display: none;
}

#setup-help-img {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 5;
  display: none;
}

#outlet-wrap {
  position: absolute;
  left: 15%;
  top: 50%;
  transform: translateY(-50%);
  height: 30vh;
  width: auto;
}

#outlet-img {
  height: 100%;
  width: auto;
}

#computer-wrap {
  position: absolute;
  right: 2%;
  bottom: 0;
  height: 95vh;
  width: auto;
}

#computer-img,
#computer-on-img {
  height: 100%;
  width: auto;
  z-index: 2;
  transition: opacity 0.5s ease;
}

#computer-help-img {
  position: absolute;
  top: 2%;
  right: 30vh;
  height: 57vh;
  width: auto;
  z-index: 5;
}

#monitor-help-img {
  position: absolute;
  bottom: -12%;
  right: -10%;
  height: 10vh;
  width: auto;
  z-index: 5;
  visibility: hidden;
}

#plug-in-help-computer-img,
#plug-in-help-monitor-img {
  position: absolute;
  top: 1.5%;
  right: 15vh;
  height: 5vh;
  width: auto;
  z-index: 5;
}

#plug-in-help-monitor-img {
  visibility: hidden;
}

#outlet-help-img {
  position: absolute;
  top: 50%;
  left: 23%;
  transform: translateY(-50%);
  height: 5vh;
  width: auto;
}

#computer-help-wrap {
  visibility: hidden;
}

#computer-help-wrap.visible {
  visibility: visible;
}

#computer-img {
  display: block;
  opacity: 1;
}

#computer-on-img {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
}

#monitor-wrap {
  position: absolute;
  top: 0;
  left: 0;
  width: 65%;
  height: auto;
}

#monitor-img {
  width: 100%;
}

#screen-wrap {
  position: relative;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

#screen-cursor {
  position: absolute;
  height: 23px;
  width: auto;
  pointer-events: none;
  display: none;
  z-index: 15;
  top: 50%;
  left: 50%;
}

.screen {
  height: 100%;
  width: auto;
  opacity: 0;
}

#screen-img {
  opacity: 1;
}

#screen-on-img {
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  transition: opacity 0.5s ease;
}

#screen-help-img {
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  height: 100%;
  width: auto;
  z-index: -1;
  display: none;
}

#screen-area {
  position: absolute;
  top: 4.5%;
  left: 50%;
  transform: translate(-50.1%);
  width: 94%;
  height: 79.7%;
  overflow: hidden;
}

#screen-area:not(.mouse-active) {
  pointer-events: none;
}

#screen-area.mouse-active {
  cursor:
    url("assets/cursors/screen-point.png") 0 0,
    auto;
}

#boot,
#screen-content {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: none;
}

#logo-box {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 6%;
  aspect-ratio: 143 / 92;
  overflow: hidden;
}

#logo-img {
  width: 100%;
  display: block;
  transform: translateY(110%);
}

#logo-img.animating {
  animation: logo-boot 2.5s ease forwards;
}

@keyframes logo-boot {
  0% {
    transform: translateY(110%);
  }
  30% {
    transform: translateY(0);
  }
  70% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(110%);
  }
}

.screen-content {
  display: none;
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  height: 100%;
  width: auto;
}

#screen-desktop {
  display: block;
}

.screen-layer {
  position: relative;
  height: 100%;
  width: auto;
  display: none;
}

#desktop-background {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 50%;
  height: auto;
  transform: translate(-50%, -50%);
}

#screen-browser {
  position: absolute;
  z-index: 1;
  left: 5%;
  bottom: 1%;
  width: 2.6%;
  height: auto;
}

#screen-browser:hover {
  transform: scale(1.1);
  cursor:
    url("assets/cursors/click.png") 0 0,
    pointer;
}

#display-change {
  position: absolute;
  display: none;
  opacity: 0;
  bottom: 0.5%;
  right: 2.5%;
  width: 10%;
  transition: opacity 0.5s ease;
}

#display {
  display: block;
  width: 100%;
  height: auto;
}

#display-select {
  position: absolute;
  top: 14%;
  left: 50%;
  transform: translateX(-50%);
  width: 85%;
  height: auto;
}

#browser-content {
  width: 99.8%;
  left: 0.1%;
  top: 0.2%;
  height: auto;
  transform: none;
  overflow: hidden;
}

#browser-content .screen-layer {
  width: 100%;
  height: auto;
}

#copy-note {
  position: fixed;
  bottom: 1%;
  right: 3%;
  height: 5vh;
  width: auto;
  transform: translateY(200%);
  z-index: 100;
}

#copy-note.animating {
  animation: copy-note-pop 2.5s ease forwards;
}

@keyframes copy-note-pop {
  0% {
    transform: translateY(200%);
  }
  30% {
    transform: translateY(0);
  }
  70% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(200%);
  }
}
